<template>
    <q-card class="trunk-details">
        <q-card-section>
            <div class="card-head">
                <div style="flex-grow: 4;">
                    <b style="text-transform: capitalize;">{{ account.name }} </b> |
                    <span style="text-transform: lowercase;"> {{ account.email }}</span>
                </div>

                <div style="flex-grow: 1; text-align: right;">
                    {{ totalCost }}
                </div>
            </div>
        </q-card-section>

        <q-card-section>
            <q-expansion-item expand-separator icon="receipt_long"
                :label="account.conferences.length === 1 ? $t('billing.one_session') : $t('billing.num_sessions', [account.conferences.length])">
                <q-list>
                    <q-item v-for="(conf, index) in account.conferences || {}" :key="index">
                        <SessionBill :conference="conf" :windowWidth="windowWidth" />
                    </q-item>
                </q-list>
            </q-expansion-item>

        </q-card-section>
    </q-card>
</template>
 
<script>

import SessionBill from "./SessionBill.vue";

export default {
    props: {
        account: {
            required: true
        },
        windowWidth: {
            required: true
        }
    },
    components: {
        SessionBill
    },
    computed: {
        totalCost()
        {
            const formatter = new Intl.NumberFormat('en-GB', {
                style: 'currency',
                currency: 'USD',
            });

            return this.$t('billing.costs_total', [formatter.format(this.account.total || 0)]);
        },
    }
};
</script>
<style scoped>
.trunk-details {
    width: 100%;
    padding: 20px;
}

.card-head {
    display: flex;
    font-size: large;
}
</style>